function [alpha, beta] = FindBetaPar(mu, sig2)

% This funciton finds two shape parameters (alpha and beta) of Beta 
% distribution, provided mean (mu) and variance (sig2).

alpha = (1-mu)*mu^(2)/sig2 - mu;
beta  = (1-mu)*alpha/mu;

% Check the result
[M, V] = betastat(alpha, beta);
if abs(mu -  M) > 1e-10 || abs(sig2 - V) > 1e-10
    error('Resulting mean/variance does not match with the input.')
end

