function [alpha, beta] = FindGPar(mu, sig2)

% This funciton finds a shape parameter (alpha) and a scale parameter 
% (beta) of Gamma distribution, provided mean (mu) and variance 
% (sig2).

beta  = sig2/mu;
alpha = mu/beta;

% Check the result
[M,V] = gamstat(alpha,beta);
if abs(mu -  M) > 1e-10 || abs(sig2 - V) > 1e-10
    error('Resulting mean/variance does not match with the input.')
end

